Get a list of transactions

Beta

Returns a list of transactions based on the matching input parameters in reverse chronological order, with the most recent transactions shown first.

Query Parameters
  • limit
    Type: integer Format: int32
    min:  
    1
    max:  
    100

    The maximum number of transactions returned (between 10-100). The default is 10.

  • skip
    Type: integer Format: int32
    min:  
    1
    max:  
    500

    The number of transactions to skip. The default is 0.

  • cardholder_id
    Type: string ·
    min length:  
    30
    max length:  
    30
    Pattern: ^crh_[a-z0-9]{26}$

    The cardholder's unique identifier.

  • card_id
    Type: string ·
    min length:  
    30
    max length:  
    30
    Pattern: ^crd_[a-z0-9]{26}$

    The card's unique identifier.

  • entity_id
    Type: string ·
    min length:  
    30
    max length:  
    30
    Pattern: ^ent_[a-z0-9]{26}$

    The entity's unique identifier.

  • status
    Type: string enum

    An optional filter for the transaction lifecycle status.

    values
    • authorized
    • declined
    • canceled
    • cleared
    • refunded
    • disputed
  • from
    Type: string Format: date-time

    An optional start date filter for transactions, in ISO 8601 format.

  • to
    Type: string Format: date-time

    An optional end date filter for transactions, in ISO 8601 format.

Responses
  • application/json
  • 401

    Unauthorized

  • 404

    Not Found

  • 422

    Matching parameters not valid.

  • 429

    Too Many Requests

Request Example for get/issuing/transactions
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/issuing/transactions' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "limit": 5,
  "skip": 10,
  "total_count": 100,
  "data": [
    {
      "id": "trx_aayhhfwbdyxwcaeyhhfwbd4xga",
      "created_on": "2026-09-23T13:52:07.856Z",
      "status": "authorized",
      "transaction_type": "purchase",
      "client": {
        "id": "cli_vkuhvk4vjn2edkps7dfsq6emqm"
      },
      "entity": {
        "id": "ent_fa6psq242dcd6fdn5gifcq1491"
      },
      "card": {
        "id": "crd_fa6psq242dcd6fdn5gifcq1491",
        "network": "mastercard"
      },
      "digital_card": {
        "id": "dcr_5ngxzsynm2me3oxf73esbhda6q",
        "wallet_type": "googlepay"
      },
      "cardholder": {
        "id": "crh_d3ozhf43pcq2xbldn2g45qnb44"
      },
      "amounts": {
        "total_held": {
          "amount": 100,
          "currency": "USD"
        },
        "total_authorized": {
          "amount": 100,
          "currency": "USD"
        },
        "total_reversed": {
          "amount": 100,
          "currency": "USD"
        },
        "total_cleared": {
          "amount": 100,
          "currency": "USD"
        },
        "total_refunded": {
          "amount": 100,
          "currency": "USD"
        }
      },
      "merchant": {
        "id": "(*)123456789",
        "name": "My Merchant",
        "city": "Paris",
        "state": "",
        "country_code": "FR",
        "category_code": "5331"
      },
      "reference_transaction": {
        "transaction_id": "trx_aayhhfwbdyxwcaeyhhfwbd4xga",
        "reference_type": "original_mit"
      },
      "messages": [
        {
          "id": "msg_fa6psq242dcd6fdn5gifcq1491",
          "initiator": "cardholder",
          "type": "authorization",
          "result": "declined",
          "is_relayed": true,
          "indicator": "incremental_preauthorization",
          "decline_reason": "expiry_date_invalid",
          "authorization_code": "03C0C0",
          "billing_amount": 100,
          "billing_currency": "USD",
          "transaction_amount": 100,
          "transaction_currency": "USD",
          "created_on": "2019-09-10T10:11:12Z"
        }
      ],
      "_links": {
        "self": {
          "href": "string",
          "actions": [
            "GET"
          ],
          "types": [
            "string"
          ]
        },
        "card": {
          "href": "string",
          "actions": [
            "GET"
          ],
          "types": [
            "string"
          ]
        },
        "cardholder": {
          "href": "string",
          "actions": [
            "GET"
          ],
          "types": [
            "string"
          ]
        },
        "reference_transaction": {
          "href": "string",
          "actions": [
            "GET"
          ],
          "types": [
            "string"
          ]
        }
      }
    }
  ]
}